Send a message for an event

View as Markdown
Send a message to a list of recipients for an event. The event must be defined in the Events Workspace.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

event_idstringRequiredformat: "uuid"
ID of the event to notify for

Request

This endpoint expects an object.
messagestringRequired1-20000 characters
Message to be sent, formatted in Moveworks' version of HTML. Moveworks attempts to shorten valid links to fit within chat platform constraints. Consult your chat platform API documentation to understand actual character limits.
recipientslist of stringsRequired
Email addresses of the employees to send the message to
contextobjectOptional
Additional contextual data

Response

Successfully scheduled
dataobject or null

Errors